Reply To: Niryo_one Studio connection to desktop_rviz_simulation2018-06-19T06:40:43+00:00

Forums Niryo One How to… Niryo_one Studio connection to desktop_rviz_simulation Reply To: Niryo_one Studio connection to desktop_rviz_simulation

Edouard Renard
Keymaster
Post count: 110

Hi,

It seems that you are using the latest version on github. For now the official version is V1.1 and what you can find on github is still in development and will be released soon (V2.0). That’s why the documentation is still not complete yet 🙂

So, yes you need to install the python module jsonpickle.

And for your second error, it’s because you need to install some dependencies with npm (for the Blockly library). Please follow the installation instructions at the bottom of this page : https://github.com/NiryoRobotics/niryo_one_ros/tree/master/niryo_one_user_interface

The README will be updated soon with all the new installation instructions !